#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( kleo )
add_subdirectory( backends )
add_subdirectory( ui )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE libkleopatrarc.desktop
  DESTINATION ${CONFIG_INSTALL_DIR}
  OUTPUT_NAME libkleopatrarc
  PO_DIR certmanager-desktops
)


##### kleopatra (shared) ########################

tde_add_library( kleopatra SHARED AUTOMOC
  SOURCES
    cryptplug.cpp cryptplugwrapper.cpp
    cryptplugwrapperlist.cpp cryptplugfactory.cpp
  VERSION 1.0.0
  EMBED
    kleopatra_core-static kleopatra_ui-static
  LINK
    kleopatra_backend_qgpgme-static
    kleopatra_backend_chiasmus-static
    qgpgme-shared tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
